* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
  color: #fff;
}

body {
  background-color: #2a2a2a;;
  line-height: 1.7;
}

/* HEADER */
header {
  background: #2a2a2a;
  color: #fff;
  padding: 20px;
  text-align: center;
}

/* MAIN WRAPPER */
.container {
  max-width: 900px;
  margin: 40px auto;
/*   padding: 0 20px; */
}

/* MAIN CONTENT (Flexbox) */
.main-content {
  background: #222;
/*   padding: 50px 40px; */
/*   border-radius: 8px; */
  box-shadow: 0 2px 8px rgba(1,1,1,1);

  display: flex;
  flex-direction: column;

  max-width: 800px;
  padding: 20px;
  margin: 0 auto;

  /*   font-family: Arial, sans-serif; */
  line-height: 1.6;

}

/* CONTROL READABILITY */
.post-body {
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 20px;
/*   margin: auto; */
/*   max-width: 700px; */
  text-align: justify;

  overflow-wrap: break-word;
  word-break: break-word;
}

/* ARTICLE HEADER */
.post-header {
  margin-bottom: 25px;
}

.post-meta i {
  color: #777;
  font-size: 0.9rem;
  margin-top: 8px;
}



/* IMAGES */
.post-body img {
  max-width: 100%;
  height: auto;
  border-radius: 6px;
}

/* CODE BLOCK */
pre {
  overflow-x: auto;
  max-width: 100%;

  background: #2a2a2a;
  padding: 15px;
  border-radius: 6px;
}

/* FOOTER */
.post-footer {
  margin-top: 50px;
  padding-top: 15px;
  border-top: 1px solid #fff;
  font-size: 0.9rem;
  color: #777;
}

.post-footer em {
  color: #777;
}

footer {
  text-align: center;
  padding: 20px;
  background: #2a2a2a;
  color: white;
  margin-top: 40px;
}

/* MOBILE ADJUSTMENT */
@media (max-width: 520px) {
  .main-content {
    padding: 15px;
  }
  header {
    flex-direction: column;
    align-items: flex-start;
  }

  .post-body {
    font-size: 15px;
  }

  .nav {
    width: 100%;
    justify-content: space-between;
  }

  .nav-links{
    flex-direction: column;
    align-items: center;
/*     gap: 2px; */
  }

  .nav-links li{
    width: 100%;
    text-align: center;
  }

  .nav-links a{
    display: block;
    padding: 1px;
  }
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
}

.logo {
  color: #fff;
  font-size: 1.5rem;
  font-weight: bold;
}

.nav-links {
  list-style: none;
  display: flex;
  gap: 1.5rem;
/*   gap: 15px; */
  padding: 0;
  margin: 0;
}

.nav-links a {
  text-decoration: none;
  color: #fff;
  font-size: 1rem;
  transition: color 0.3s ease;
}

.nav-links a:hover {
  color: #00bcd4;
}

.blog-list {
  list-style: none;
  padding: 0;
}

.blog-item {
  background: #222;
  padding: 15px 20px;
  margin-bottom: 15px;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.05);
}

.blog-title {
  font-size: 1.2rem;
  margin: 0 0 5px 0;
}

.published-date {
  font-size: 0.9rem;
  color: #777;
}

.blog-image {
  width: 100%;
  text-align: center;
}

.blog-image img {
  margin: 0 auto;
  max-width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
}

.blog-image figcaption {
  font-size: 14px;
  color: #777;
  text-align: center;
  margin-top: 8px;
  padding: 0 10px;
}

